import { Camera3D, Node, Signal1 } from 'godot'
import { signal } from 'godot.annotations'

export default class MessageBus extends Node {
  private static _inst: MessageBus

  static get instance() {
    return MessageBus._inst
  }

  @signal()
  active_camera_changed!: Signal1<Camera3D>

  _ready(): void {
    MessageBus._inst = this
  }
}
